/*
 * Remote Laboratory Instrumentation Server
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * (c) 2009 Timothy Pearson
 * Raptor Engineering
 * http://www.raptorengineeringinc.com
 */

extern unsigned char scope_raw_screenshot_data[4194304];

unsigned long scopeScreenSize (char * scopeType);
unsigned long scopeScreenWidth (char * scopeType);
unsigned long scopeScreenHeight (char * scopeType);
int gpib_read_binary(int ud, int max_num_bytes);
int scope_get_screenshot(char * scopeType, int gpibDevice);
int scope_get_screenshot_stage2(char * scopeType, int gpibDevice);
int scope_set_timebase(float desired_timebase, char * scopeType, int gpibDevice);
int scope_set_volts_div(int desired_channel, float desired_volts, char * scopeType, int gpibDevice);
int scope_set_acquisition(int status, char * scopeType, int gpibDevice);
int scope_set_channel_state(int desired_channel, int status, char * scopeType, int gpibDevice);
int scope_set_trigger_channel(int desired_channel, char * scopeType, int gpibDevice);
int scope_set_trigger_level(float desired_level, char * scopeType, int gpibDevice);
int scope_set_channel_position(int desired_channel, float desired_level, char * scopeType, int gpibDevice);